# NotificationService.HealthApi

All URIs are relative to *http://zero-notification-service.notification-service/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**readyCheck**](HealthApi.md#readyCheck) | **GET** /status/ready | Readiness check - the service is ready to handle work


# **readyCheck**
> string readyCheck()


### Example


```typescript
import { NotificationService } from '';
import * as fs from 'fs';

const configuration = NotificationService.createConfiguration();
const apiInstance = new NotificationService.HealthApi(configuration);

let body:any = {};

apiInstance.readyCheck(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters
This endpoint does not need any parameter.


### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)


