# NotificationService.NotificationApi

All URIs are relative to *http://zero-notification-service.notification-service/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**sendSlackNotification**](NotificationApi.md#sendSlackNotification) | **POST** /notification/slack/send | Send a Slack message


# **sendSlackNotification**
> SendSlackMessageResponse sendSlackNotification(sendSlackMessageRequest)


### Example


```typescript
import { NotificationService } from '';
import * as fs from 'fs';

const configuration = NotificationService.createConfiguration();
const apiInstance = new NotificationService.NotificationApi(configuration);

let body:NotificationService.NotificationApiSendSlackNotificationRequest = {
  // SendSlackMessageRequest | Parameters of the message to send
  sendSlackMessageRequest: {
    to: {
      conversationId: "conversationId_example",
    },
    message: {
      body: "body_example",
    },
    replyToTimestamp: "replyToTimestamp_example",
  },
};

apiInstance.sendSlackNotification(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sendSlackMessageRequest** | **SendSlackMessageRequest**| Parameters of the message to send |


### Return type

**SendSlackMessageResponse**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |
**0** | unexpected error |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)


