# NotificationService.SmsApi

All URIs are relative to *http://zero-notification-service.notification-service/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**sendSMS**](SmsApi.md#sendSMS) | **POST** /sms/send | Send an SMS


# **sendSMS**
> string sendSMS(sendSMSRequest)


### Example


```typescript
import { NotificationService } from '';
import * as fs from 'fs';

const configuration = NotificationService.createConfiguration();
const apiInstance = new NotificationService.SmsApi(configuration);

let body:NotificationService.SmsApiSendSMSRequest = {
  // SendSMSRequest | Parameters of the message to send
  sendSMSRequest: {
    recipientPhoneNumber: "recipientPhoneNumber_example",
    message: "message_example",
  },
};

apiInstance.sendSMS(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sendSMSRequest** | **SendSMSRequest**| Parameters of the message to send |


### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | OK |  -  |
**0** | unexpected error |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)


