import { BaseAPIRequestFactory } from './baseapi';
import { Configuration } from '../configuration';
import { RequestContext, ResponseContext, HttpInfo } from '../http/http';
import { SendBulkMailRequest } from '../models/SendBulkMailRequest';
import { SendBulkMailResponse } from '../models/SendBulkMailResponse';
import { SendMailRequest } from '../models/SendMailRequest';
import { SendMailResponse } from '../models/SendMailResponse';
export declare class EmailApiRequestFactory extends BaseAPIRequestFactory {
    sendBulk(sendBulkMailRequest: SendBulkMailRequest, _options?: Configuration): Promise<RequestContext>;
    sendEmail(sendMailRequest: SendMailRequest, _options?: Configuration): Promise<RequestContext>;
}
export declare class EmailApiResponseProcessor {
    sendBulkWithHttpInfo(response: ResponseContext): Promise<HttpInfo<SendBulkMailResponse>>;
    sendEmailWithHttpInfo(response: ResponseContext): Promise<HttpInfo<SendMailResponse>>;
}
