"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectSerializer = void 0;
__exportStar(require("../models/EmailRecipient"), exports);
__exportStar(require("../models/EmailSender"), exports);
__exportStar(require("../models/MailMessage"), exports);
__exportStar(require("../models/ModelError"), exports);
__exportStar(require("../models/SendBulkMailRequest"), exports);
__exportStar(require("../models/SendBulkMailResponse"), exports);
__exportStar(require("../models/SendBulkMailResponseFailedInner"), exports);
__exportStar(require("../models/SendBulkMailResponseSuccessfulInner"), exports);
__exportStar(require("../models/SendMailRequest"), exports);
__exportStar(require("../models/SendMailResponse"), exports);
__exportStar(require("../models/SendSMSRequest"), exports);
__exportStar(require("../models/SendSMSResponse"), exports);
__exportStar(require("../models/SendSlackMessageRequest"), exports);
__exportStar(require("../models/SendSlackMessageResponse"), exports);
__exportStar(require("../models/SlackMessage"), exports);
__exportStar(require("../models/SlackRecipient"), exports);
var EmailRecipient_1 = require("../models/EmailRecipient");
var EmailSender_1 = require("../models/EmailSender");
var MailMessage_1 = require("../models/MailMessage");
var ModelError_1 = require("../models/ModelError");
var SendBulkMailRequest_1 = require("../models/SendBulkMailRequest");
var SendBulkMailResponse_1 = require("../models/SendBulkMailResponse");
var SendBulkMailResponseFailedInner_1 = require("../models/SendBulkMailResponseFailedInner");
var SendBulkMailResponseSuccessfulInner_1 = require("../models/SendBulkMailResponseSuccessfulInner");
var SendMailRequest_1 = require("../models/SendMailRequest");
var SendMailResponse_1 = require("../models/SendMailResponse");
var SendSMSRequest_1 = require("../models/SendSMSRequest");
var SendSMSResponse_1 = require("../models/SendSMSResponse");
var SendSlackMessageRequest_1 = require("../models/SendSlackMessageRequest");
var SendSlackMessageResponse_1 = require("../models/SendSlackMessageResponse");
var SlackMessage_1 = require("../models/SlackMessage");
var SlackRecipient_1 = require("../models/SlackRecipient");
var primitives = [
    "string",
    "boolean",
    "double",
    "integer",
    "long",
    "float",
    "number",
    "any"
];
var supportedMediaTypes = {
    "application/json": Infinity,
    "application/json-patch+json": 1,
    "application/merge-patch+json": 1,
    "application/strategic-merge-patch+json": 1,
    "application/octet-stream": 0,
    "application/x-www-form-urlencoded": 0
};
var enumsMap = new Set([]);
var typeMap = {
    "EmailRecipient": EmailRecipient_1.EmailRecipient,
    "EmailSender": EmailSender_1.EmailSender,
    "MailMessage": MailMessage_1.MailMessage,
    "ModelError": ModelError_1.ModelError,
    "SendBulkMailRequest": SendBulkMailRequest_1.SendBulkMailRequest,
    "SendBulkMailResponse": SendBulkMailResponse_1.SendBulkMailResponse,
    "SendBulkMailResponseFailedInner": SendBulkMailResponseFailedInner_1.SendBulkMailResponseFailedInner,
    "SendBulkMailResponseSuccessfulInner": SendBulkMailResponseSuccessfulInner_1.SendBulkMailResponseSuccessfulInner,
    "SendMailRequest": SendMailRequest_1.SendMailRequest,
    "SendMailResponse": SendMailResponse_1.SendMailResponse,
    "SendSMSRequest": SendSMSRequest_1.SendSMSRequest,
    "SendSMSResponse": SendSMSResponse_1.SendSMSResponse,
    "SendSlackMessageRequest": SendSlackMessageRequest_1.SendSlackMessageRequest,
    "SendSlackMessageResponse": SendSlackMessageResponse_1.SendSlackMessageResponse,
    "SlackMessage": SlackMessage_1.SlackMessage,
    "SlackRecipient": SlackRecipient_1.SlackRecipient,
};
var ObjectSerializer = (function () {
    function ObjectSerializer() {
    }
    ObjectSerializer.findCorrectType = function (data, expectedType) {
        if (data == undefined) {
            return expectedType;
        }
        else if (primitives.indexOf(expectedType.toLowerCase()) !== -1) {
            return expectedType;
        }
        else if (expectedType === "Date") {
            return expectedType;
        }
        else {
            if (enumsMap.has(expectedType)) {
                return expectedType;
            }
            if (!typeMap[expectedType]) {
                return expectedType;
            }
            var discriminatorProperty = typeMap[expectedType].discriminator;
            if (discriminatorProperty == null) {
                return expectedType;
            }
            else {
                if (data[discriminatorProperty]) {
                    var discriminatorType = data[discriminatorProperty];
                    if (typeMap[discriminatorType]) {
                        return discriminatorType;
                    }
                    else {
                        return expectedType;
                    }
                }
                else {
                    return expectedType;
                }
            }
        }
    };
    ObjectSerializer.serialize = function (data, type, format) {
        if (data == undefined) {
            return data;
        }
        else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        }
        else if (type.lastIndexOf("Array<", 0) === 0) {
            var subType = type.replace("Array<", "");
            subType = subType.substring(0, subType.length - 1);
            var transformedData = [];
            for (var _i = 0, data_1 = data; _i < data_1.length; _i++) {
                var date = data_1[_i];
                transformedData.push(ObjectSerializer.serialize(date, subType, format));
            }
            return transformedData;
        }
        else if (type === "Date") {
            if (format == "date") {
                var month = data.getMonth() + 1;
                month = month < 10 ? "0" + month.toString() : month.toString();
                var day = data.getDate();
                day = day < 10 ? "0" + day.toString() : day.toString();
                return data.getFullYear() + "-" + month + "-" + day;
            }
            else {
                return data.toISOString();
            }
        }
        else {
            if (enumsMap.has(type)) {
                return data;
            }
            if (!typeMap[type]) {
                return data;
            }
            type = this.findCorrectType(data, type);
            var attributeTypes = typeMap[type].getAttributeTypeMap();
            var instance = {};
            for (var _a = 0, attributeTypes_1 = attributeTypes; _a < attributeTypes_1.length; _a++) {
                var attributeType = attributeTypes_1[_a];
                instance[attributeType.baseName] = ObjectSerializer.serialize(data[attributeType.name], attributeType.type, attributeType.format);
            }
            return instance;
        }
    };
    ObjectSerializer.deserialize = function (data, type, format) {
        type = ObjectSerializer.findCorrectType(data, type);
        if (data == undefined) {
            return data;
        }
        else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        }
        else if (type.lastIndexOf("Array<", 0) === 0) {
            var subType = type.replace("Array<", "");
            subType = subType.substring(0, subType.length - 1);
            var transformedData = [];
            for (var _i = 0, data_2 = data; _i < data_2.length; _i++) {
                var date = data_2[_i];
                transformedData.push(ObjectSerializer.deserialize(date, subType, format));
            }
            return transformedData;
        }
        else if (type === "Date") {
            return new Date(data);
        }
        else {
            if (enumsMap.has(type)) {
                return data;
            }
            if (!typeMap[type]) {
                return data;
            }
            var instance = new typeMap[type]();
            var attributeTypes = typeMap[type].getAttributeTypeMap();
            for (var _a = 0, attributeTypes_2 = attributeTypes; _a < attributeTypes_2.length; _a++) {
                var attributeType = attributeTypes_2[_a];
                var value = ObjectSerializer.deserialize(data[attributeType.baseName], attributeType.type, attributeType.format);
                if (value !== undefined) {
                    instance[attributeType.name] = value;
                }
            }
            return instance;
        }
    };
    ObjectSerializer.normalizeMediaType = function (mediaType) {
        if (mediaType === undefined) {
            return undefined;
        }
        return mediaType.split(";")[0].trim().toLowerCase();
    };
    ObjectSerializer.getPreferredMediaType = function (mediaTypes) {
        if (mediaTypes.length === 0) {
            return "application/json";
        }
        var normalMediaTypes = mediaTypes.map(this.normalizeMediaType);
        var selectedMediaType = undefined;
        var selectedRank = -Infinity;
        for (var _i = 0, normalMediaTypes_1 = normalMediaTypes; _i < normalMediaTypes_1.length; _i++) {
            var mediaType = normalMediaTypes_1[_i];
            if (supportedMediaTypes[mediaType] > selectedRank) {
                selectedMediaType = mediaType;
                selectedRank = supportedMediaTypes[mediaType];
            }
        }
        if (selectedMediaType === undefined) {
            throw new Error("None of the given media types are supported: " + mediaTypes.join(", "));
        }
        return selectedMediaType;
    };
    ObjectSerializer.stringify = function (data, mediaType) {
        if (mediaType === "text/plain") {
            return String(data);
        }
        if (mediaType === "application/json" || mediaType === "application/json-patch+json" || mediaType === "application/merge-patch+json" || mediaType === "application/strategic-merge-patch+json") {
            return JSON.stringify(data);
        }
        throw new Error("The mediaType " + mediaType + " is not supported by ObjectSerializer.stringify.");
    };
    ObjectSerializer.parse = function (rawData, mediaType) {
        if (mediaType === undefined) {
            throw new Error("Cannot parse content. No Content-Type defined.");
        }
        if (mediaType === "text/plain") {
            return rawData;
        }
        if (mediaType === "application/json" || mediaType === "application/json-patch+json" || mediaType === "application/merge-patch+json" || mediaType === "application/strategic-merge-patch+json") {
            return JSON.parse(rawData);
        }
        if (mediaType === "text/html") {
            return rawData;
        }
        throw new Error("The mediaType " + mediaType + " is not supported by ObjectSerializer.parse.");
    };
    return ObjectSerializer;
}());
exports.ObjectSerializer = ObjectSerializer;
//# sourceMappingURL=ObjectSerializer.js.map