import { HttpInfo } from '../http/http';
import { Configuration } from '../configuration';
import { SendBulkMailRequest } from '../models/SendBulkMailRequest';
import { SendBulkMailResponse } from '../models/SendBulkMailResponse';
import { SendMailRequest } from '../models/SendMailRequest';
import { SendMailResponse } from '../models/SendMailResponse';
import { SendSMSRequest } from '../models/SendSMSRequest';
import { SendSlackMessageRequest } from '../models/SendSlackMessageRequest';
import { SendSlackMessageResponse } from '../models/SendSlackMessageResponse';
import { EmailApiRequestFactory, EmailApiResponseProcessor } from "../apis/EmailApi";
export interface EmailApiSendBulkRequest {
    sendBulkMailRequest: SendBulkMailRequest;
}
export interface EmailApiSendEmailRequest {
    sendMailRequest: SendMailRequest;
}
export declare class ObjectEmailApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: EmailApiRequestFactory, responseProcessor?: EmailApiResponseProcessor);
    sendBulkWithHttpInfo(param: EmailApiSendBulkRequest, options?: Configuration): Promise<HttpInfo<SendBulkMailResponse>>;
    sendBulk(param: EmailApiSendBulkRequest, options?: Configuration): Promise<SendBulkMailResponse>;
    sendEmailWithHttpInfo(param: EmailApiSendEmailRequest, options?: Configuration): Promise<HttpInfo<SendMailResponse>>;
    sendEmail(param: EmailApiSendEmailRequest, options?: Configuration): Promise<SendMailResponse>;
}
import { HealthApiRequestFactory, HealthApiResponseProcessor } from "../apis/HealthApi";
export interface HealthApiReadyCheckRequest {
}
export declare class ObjectHealthApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: HealthApiRequestFactory, responseProcessor?: HealthApiResponseProcessor);
    readyCheckWithHttpInfo(param?: HealthApiReadyCheckRequest, options?: Configuration): Promise<HttpInfo<string>>;
    readyCheck(param?: HealthApiReadyCheckRequest, options?: Configuration): Promise<string>;
}
import { NotificationApiRequestFactory, NotificationApiResponseProcessor } from "../apis/NotificationApi";
export interface NotificationApiSendSlackNotificationRequest {
    sendSlackMessageRequest: SendSlackMessageRequest;
}
export declare class ObjectNotificationApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: NotificationApiRequestFactory, responseProcessor?: NotificationApiResponseProcessor);
    sendSlackNotificationWithHttpInfo(param: NotificationApiSendSlackNotificationRequest, options?: Configuration): Promise<HttpInfo<SendSlackMessageResponse>>;
    sendSlackNotification(param: NotificationApiSendSlackNotificationRequest, options?: Configuration): Promise<SendSlackMessageResponse>;
}
import { SmsApiRequestFactory, SmsApiResponseProcessor } from "../apis/SmsApi";
export interface SmsApiSendSMSRequest {
    sendSMSRequest: SendSMSRequest;
}
export declare class ObjectSmsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SmsApiRequestFactory, responseProcessor?: SmsApiResponseProcessor);
    sendSMSWithHttpInfo(param: SmsApiSendSMSRequest, options?: Configuration): Promise<HttpInfo<string>>;
    sendSMS(param: SmsApiSendSMSRequest, options?: Configuration): Promise<string>;
}
