"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectSmsApi = exports.ObjectNotificationApi = exports.ObjectHealthApi = exports.ObjectEmailApi = void 0;
var ObservableAPI_1 = require("./ObservableAPI");
var ObjectEmailApi = (function () {
    function ObjectEmailApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_1.ObservableEmailApi(configuration, requestFactory, responseProcessor);
    }
    ObjectEmailApi.prototype.sendBulkWithHttpInfo = function (param, options) {
        return this.api.sendBulkWithHttpInfo(param.sendBulkMailRequest, options).toPromise();
    };
    ObjectEmailApi.prototype.sendBulk = function (param, options) {
        return this.api.sendBulk(param.sendBulkMailRequest, options).toPromise();
    };
    ObjectEmailApi.prototype.sendEmailWithHttpInfo = function (param, options) {
        return this.api.sendEmailWithHttpInfo(param.sendMailRequest, options).toPromise();
    };
    ObjectEmailApi.prototype.sendEmail = function (param, options) {
        return this.api.sendEmail(param.sendMailRequest, options).toPromise();
    };
    return ObjectEmailApi;
}());
exports.ObjectEmailApi = ObjectEmailApi;
var ObservableAPI_2 = require("./ObservableAPI");
var ObjectHealthApi = (function () {
    function ObjectHealthApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_2.ObservableHealthApi(configuration, requestFactory, responseProcessor);
    }
    ObjectHealthApi.prototype.readyCheckWithHttpInfo = function (param, options) {
        if (param === void 0) { param = {}; }
        return this.api.readyCheckWithHttpInfo(options).toPromise();
    };
    ObjectHealthApi.prototype.readyCheck = function (param, options) {
        if (param === void 0) { param = {}; }
        return this.api.readyCheck(options).toPromise();
    };
    return ObjectHealthApi;
}());
exports.ObjectHealthApi = ObjectHealthApi;
var ObservableAPI_3 = require("./ObservableAPI");
var ObjectNotificationApi = (function () {
    function ObjectNotificationApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_3.ObservableNotificationApi(configuration, requestFactory, responseProcessor);
    }
    ObjectNotificationApi.prototype.sendSlackNotificationWithHttpInfo = function (param, options) {
        return this.api.sendSlackNotificationWithHttpInfo(param.sendSlackMessageRequest, options).toPromise();
    };
    ObjectNotificationApi.prototype.sendSlackNotification = function (param, options) {
        return this.api.sendSlackNotification(param.sendSlackMessageRequest, options).toPromise();
    };
    return ObjectNotificationApi;
}());
exports.ObjectNotificationApi = ObjectNotificationApi;
var ObservableAPI_4 = require("./ObservableAPI");
var ObjectSmsApi = (function () {
    function ObjectSmsApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_4.ObservableSmsApi(configuration, requestFactory, responseProcessor);
    }
    ObjectSmsApi.prototype.sendSMSWithHttpInfo = function (param, options) {
        return this.api.sendSMSWithHttpInfo(param.sendSMSRequest, options).toPromise();
    };
    ObjectSmsApi.prototype.sendSMS = function (param, options) {
        return this.api.sendSMS(param.sendSMSRequest, options).toPromise();
    };
    return ObjectSmsApi;
}());
exports.ObjectSmsApi = ObjectSmsApi;
//# sourceMappingURL=ObjectParamAPI.js.map