import { HttpInfo } from '../http/http';
import { Configuration } from '../configuration';
import { SendBulkMailRequest } from '../models/SendBulkMailRequest';
import { SendBulkMailResponse } from '../models/SendBulkMailResponse';
import { SendMailRequest } from '../models/SendMailRequest';
import { SendMailResponse } from '../models/SendMailResponse';
import { SendSMSRequest } from '../models/SendSMSRequest';
import { SendSlackMessageRequest } from '../models/SendSlackMessageRequest';
import { SendSlackMessageResponse } from '../models/SendSlackMessageResponse';
import { EmailApiRequestFactory, EmailApiResponseProcessor } from "../apis/EmailApi";
export declare class PromiseEmailApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: EmailApiRequestFactory, responseProcessor?: EmailApiResponseProcessor);
    sendBulkWithHttpInfo(sendBulkMailRequest: SendBulkMailRequest, _options?: Configuration): Promise<HttpInfo<SendBulkMailResponse>>;
    sendBulk(sendBulkMailRequest: SendBulkMailRequest, _options?: Configuration): Promise<SendBulkMailResponse>;
    sendEmailWithHttpInfo(sendMailRequest: SendMailRequest, _options?: Configuration): Promise<HttpInfo<SendMailResponse>>;
    sendEmail(sendMailRequest: SendMailRequest, _options?: Configuration): Promise<SendMailResponse>;
}
import { HealthApiRequestFactory, HealthApiResponseProcessor } from "../apis/HealthApi";
export declare class PromiseHealthApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: HealthApiRequestFactory, responseProcessor?: HealthApiResponseProcessor);
    readyCheckWithHttpInfo(_options?: Configuration): Promise<HttpInfo<string>>;
    readyCheck(_options?: Configuration): Promise<string>;
}
import { NotificationApiRequestFactory, NotificationApiResponseProcessor } from "../apis/NotificationApi";
export declare class PromiseNotificationApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: NotificationApiRequestFactory, responseProcessor?: NotificationApiResponseProcessor);
    sendSlackNotificationWithHttpInfo(sendSlackMessageRequest: SendSlackMessageRequest, _options?: Configuration): Promise<HttpInfo<SendSlackMessageResponse>>;
    sendSlackNotification(sendSlackMessageRequest: SendSlackMessageRequest, _options?: Configuration): Promise<SendSlackMessageResponse>;
}
import { SmsApiRequestFactory, SmsApiResponseProcessor } from "../apis/SmsApi";
export declare class PromiseSmsApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: SmsApiRequestFactory, responseProcessor?: SmsApiResponseProcessor);
    sendSMSWithHttpInfo(sendSMSRequest: SendSMSRequest, _options?: Configuration): Promise<HttpInfo<string>>;
    sendSMS(sendSMSRequest: SendSMSRequest, _options?: Configuration): Promise<string>;
}
