"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseSmsApi = exports.PromiseNotificationApi = exports.PromiseHealthApi = exports.PromiseEmailApi = void 0;
var ObservableAPI_1 = require("./ObservableAPI");
var PromiseEmailApi = (function () {
    function PromiseEmailApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_1.ObservableEmailApi(configuration, requestFactory, responseProcessor);
    }
    PromiseEmailApi.prototype.sendBulkWithHttpInfo = function (sendBulkMailRequest, _options) {
        var result = this.api.sendBulkWithHttpInfo(sendBulkMailRequest, _options);
        return result.toPromise();
    };
    PromiseEmailApi.prototype.sendBulk = function (sendBulkMailRequest, _options) {
        var result = this.api.sendBulk(sendBulkMailRequest, _options);
        return result.toPromise();
    };
    PromiseEmailApi.prototype.sendEmailWithHttpInfo = function (sendMailRequest, _options) {
        var result = this.api.sendEmailWithHttpInfo(sendMailRequest, _options);
        return result.toPromise();
    };
    PromiseEmailApi.prototype.sendEmail = function (sendMailRequest, _options) {
        var result = this.api.sendEmail(sendMailRequest, _options);
        return result.toPromise();
    };
    return PromiseEmailApi;
}());
exports.PromiseEmailApi = PromiseEmailApi;
var ObservableAPI_2 = require("./ObservableAPI");
var PromiseHealthApi = (function () {
    function PromiseHealthApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_2.ObservableHealthApi(configuration, requestFactory, responseProcessor);
    }
    PromiseHealthApi.prototype.readyCheckWithHttpInfo = function (_options) {
        var result = this.api.readyCheckWithHttpInfo(_options);
        return result.toPromise();
    };
    PromiseHealthApi.prototype.readyCheck = function (_options) {
        var result = this.api.readyCheck(_options);
        return result.toPromise();
    };
    return PromiseHealthApi;
}());
exports.PromiseHealthApi = PromiseHealthApi;
var ObservableAPI_3 = require("./ObservableAPI");
var PromiseNotificationApi = (function () {
    function PromiseNotificationApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_3.ObservableNotificationApi(configuration, requestFactory, responseProcessor);
    }
    PromiseNotificationApi.prototype.sendSlackNotificationWithHttpInfo = function (sendSlackMessageRequest, _options) {
        var result = this.api.sendSlackNotificationWithHttpInfo(sendSlackMessageRequest, _options);
        return result.toPromise();
    };
    PromiseNotificationApi.prototype.sendSlackNotification = function (sendSlackMessageRequest, _options) {
        var result = this.api.sendSlackNotification(sendSlackMessageRequest, _options);
        return result.toPromise();
    };
    return PromiseNotificationApi;
}());
exports.PromiseNotificationApi = PromiseNotificationApi;
var ObservableAPI_4 = require("./ObservableAPI");
var PromiseSmsApi = (function () {
    function PromiseSmsApi(configuration, requestFactory, responseProcessor) {
        this.api = new ObservableAPI_4.ObservableSmsApi(configuration, requestFactory, responseProcessor);
    }
    PromiseSmsApi.prototype.sendSMSWithHttpInfo = function (sendSMSRequest, _options) {
        var result = this.api.sendSMSWithHttpInfo(sendSMSRequest, _options);
        return result.toPromise();
    };
    PromiseSmsApi.prototype.sendSMS = function (sendSMSRequest, _options) {
        var result = this.api.sendSMS(sendSMSRequest, _options);
        return result.toPromise();
    };
    return PromiseSmsApi;
}());
exports.PromiseSmsApi = PromiseSmsApi;
//# sourceMappingURL=PromiseAPI.js.map